%define name sapserver
%define longname minisapserver
%define version 0.3.8
%define release %mkrel 1
%define url http://download.videolan.org/pub/videolan/miniSAPserver/

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2
Group:		Video
URL:		%{url}
Source:		%{longname}-%{version}.tar.xz
Summary:	VLC -- Mini-SAP-server
Summary(de):	VLC -- Mini-SAP-server
BuildRoot:	%{_tmppath}/%{longname}-buildroot
Obsoletes:	%name < %version

%description
Mini SAP Server from VideoLan project is a small standalone application that can produce Session Announcement 
Protocol (SAP) announcements in Session Description Protocol (SDP) format. SAP is described in RFC2974. SDP 
in RFC4566.

This is a mini-sap-server from VideoOnLan project. 

#german
%description -l de
Sie können einen Kanal-Informationsdienst, basierend auf dem SAP/SDP-Standard, der VideoLAN-Lösung hinzufügen.
Der mini-SAP-Server sendet Ankündigungen über die Multicast-Programme im Netzwerk in IPv4 und IPv6.
VLC-Anwendungen erhalten diese Ankündigungen und fügen die Programme automatisch ihrer Wiedergabeliste hinzu.

Der mini-SAP-Server läuft unter Linux und Mac OS X.

%prep

%setup -q -n %{longname}-%{version}

%build

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std 


%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.bz2
%{_sysconfdir}/sap.cfg
%doc COPYING AUTHORS NEWS

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{longname}-%{version}

%changelog
* Fri May 10 2013 Ken <lxgator at gmail.com> 0.3.8-1pclos2013
- 0.3.8

* Thu Mar 31 2011 leiche <meisssw01 at aol.com> 0.3.7-1leiche2011
- import to pclinuxos 
